Name:  tubo
Summary:  Library to thread process std-in/std-err/std-out from fork() child
Version:  5.0.7
Release:  2%{?dist}
License:  GPLv3+
URL:      http://xffm.org/libtubo.html
Source0:  http://sourceforge.net/projects/xffm/files/lib%{name}/%{name}-%{version}.tar.gz
Group:    Development/Libraries
Patch0:   %{name}-norpath.patch

BuildRequires: gtk-doc

%description
The Libtubo library is small and simple function set to enable a process to run 
any other process in the background and communicate via the std-out, 
std-err and std-in file descriptors. 
This library is used by Rodent file-manager but is also available here 
for other programs to use freely

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n tubo-%{version}
%patch0 -p0

## Fix file-not-utf8 warning
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog

%build
%configure --enable-static=no --enable-shared=yes --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

## Remove libtool archives
find $RPM_BUILD_ROOT -name '*.la' -delete

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README ChangeLog COPYING AUTHORS
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/tubo.*
%{_libdir}/pkgconfig/tubo.pc
%{_libdir}/lib%{name}.so
%{_datadir}/gtk-doc/


%changelog
* Wed Oct 16 2013 Antonio Trande <sagitter@fedoraproject.org> 5.0.7-2
- Added 'gtk-doc' BR
- Package now owns the whole %%{_datadir}/gtk-doc/ directory
- The %%{_datadir}/gtk-doc/ is now packaged in -devel subpackage

* Wed Oct 09 2013 Antonio Trande <sagitter@fedoraproject.org> 5.0.7-2
- Append '--disable-silent-rules' option to %%configure

* Mon Oct 07 2013 Antonio Trande <sagitter@fedoraproject.org> 5.0.7-1
- First package

